Download it now!
Bug 95386 - Remove remaining code for Help Agent
Summary: Remove remaining code for Help Agent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.4.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-10-28 09:21 UTC by Stanislav Horacek
Modified: 2017-04-07 08:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2015-10-28 09:21:20 UTC
Help Agent has been removed by the commits [1] and [2]. However, there is still the "Help Agent" string [3] (and maybe some other code) which appears in strings for translation.

It seems that no functionality or UI is affected, severity set to trivial.

Found in the latest master, present since the Help Agent removal.

[1] http://cgit.freedesktop.org/libreoffice/core/commit/?id=66714f1888eaccef4eb5341971278ae7dfafa16b
[2] http://cgit.freedesktop.org/libreoffice/core/commit/?id=516ed22b3f51982df7dbfa875ce8056e167da091
[3] http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu#4641
Comment 1 Buovjaga 2015-11-08 17:29:57 UTC
Setting to NEW.
Comment 3 Commit Notification 2016-09-28 13:14:28 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d9c6d41f7cc34ced40b2a9ba433d41d429b0a4d5

tdf#95386 Remove remains of .uno:HelperDialog from helpcontent
Comment 4 Commit Notification 2016-09-28 13:24:12 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af652b80a54526c3cef67813ab8b181612ba737d

tdf#95386 Remove remains of .uno:HelperDialog

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Gabor Kelemen 2016-09-28 14:36:27 UTC
There are still some mentions of the Help Agent here:

gabor@dome:~/src/core$ git grep "Help Agent"
framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java:                // entry "Help Agent"
framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java:                xMenuEntry.setPropertyValue("Text", "Help Agen
odk/examples/DevelopersGuide/OfficeDev/ContextMenuInterceptor.java:            String infoMsg = "All context menus of the created docu
odk/examples/DevelopersGuide/OfficeDev/ContextMenuInterceptor.java:                    System.out.println( "\n ... all context menus o
odk/examples/DevelopersGuide/OfficeDev/ContextMenuInterceptor.java:                xMenuEntry.setPropertyValue( "Text", "Help Agent" )
qadevOOo/runner/helper/ContextMenuInterceptor.java:                // entry "Help Agent"
qadevOOo/runner/helper/ContextMenuInterceptor.java:                xMenuEntry.setPropertyValue( "Text", "Help Agent" );
Comment 6 Commit Notification 2016-09-29 09:36:49 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d77a23f8bb017024aefa63defbc64b1f7c05cda2

tdf#95386 Remove remaining mentions of Help Agent

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 jani 2016-10-09 10:33:51 UTC
Seems solved
Comment 8 Commit Notification 2017-04-07 08:40:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49b237c46efa1ba3513dfbe6c782c713296352d8

tdf#95386 More Help Agent cleanup

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-04-07 08:43:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc4176fa43dc8047774a11dfb5b913e6adce2252

tdf#95386 More Help Agent cleanup

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.